Skip to Content
FlowVerifyDevelopers
API referenceTemplates

List templates

Scope templates:read. Templates shared with the whole workspace.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Query Parameters

status?string
Default"active"
Value in"active""archived"
category?string
Lengthlength <= 100
search?string

Case-insensitive match on name or description

Lengthlength <= 200
limit?integer
Range1 <= value <= 100
Default20
offset?integer
Range0 <= value
Default0
sort?string
Default"updated_at"
Value in"created_at""updated_at""name""usage_count"
order?string
Default"desc"
Value in"asc""desc"

Response Body

A page of templates

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X GET 'https://api.flowverify.co/v1/templates'
Example Response200
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "list",    "data": [      {        "object": "template",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "description": "string",        "category": "string",        "status": "active",        "current_version_id": "158beffb-f9de-457f-bbee-873740e72504",        "default_days_to_complete": 0,        "usage_count": 0,        "allow_modifications_on_use": true,        "current_version": {          "object": "template_version",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "number": 0,          "page_count": 0,          "file_name": "string",          "ready": true,          "created_at": "2019-08-24T14:15:22Z"        },        "roles": [          {            "object": "template_role",            "id": "string",            "key": "string",            "name": "string",            "type": "signer",            "order": 0,            "required": true          }        ],        "fields": [          {            "object": "template_field",            "id": "string",            "role": "string",            "type": "signature",            "label": "string",            "page": 0,            "file_index": 0,            "x": 0,            "y": 0,            "width": 0,            "height": 0,            "required": true,            "prefillable": true,            "options": [              "string"            ]          }        ],        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "total": 0,      "limit": 0,      "offset": 0,      "has_more": true    }  }}